<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::table('settings', function (Blueprint $table) {
            $table->string('profit_type')->default('percent')->after('footer_text');

            $table->decimal('profit_value', 10, 2)->default(0)->after('profit_type');
        });
    }

    public function down(): void
    {
        Schema::table('settings', function (Blueprint $table) {
            $table->dropColumn(['profit_type', 'profit_value']);
        });
    }
};
